Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityBands Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PriorityBands:

[legend]
Collaboration diagram for RTCORBA::PriorityBands:

[legend]
List of all members.

## Public Types
typedef PriorityBands_var | _var_type
## Public Methods
| PriorityBands (void)
| PriorityBands (CORBA::ULong max)
| PriorityBands (CORBA::ULong max, CORBA::ULong length, PriorityBand *buffer, CORBA::Boolean release=0)
| PriorityBands (const PriorityBands &)
| ~PriorityBands (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef PriorityBands_var RTCORBA::PriorityBands::_var_type

## Constructor & Destructor Documentation

RTCORBA::PriorityBands::PriorityBands | ( | void |  | ) |

RTCORBA::PriorityBands::PriorityBands | ( | CORBA::ULong | max | ) |

RTCORBA::PriorityBands::PriorityBands | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | PriorityBand * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

RTCORBA::PriorityBands::PriorityBands | ( | const PriorityBands & |  | ) |

RTCORBA::PriorityBands::~PriorityBands | ( | void |  | ) |

## Member Function Documentation

void RTCORBA::PriorityBands::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp